public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Thomas Deutschmann" <whissi@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-php/jsonlint/
Date: Thu, 20 Sep 2018 12:00:35 +0000 (UTC)	[thread overview]
Message-ID: <1537444815.c35ed05fbc0b1cdaab332dafcee90b6e79dd51f2.whissi@gentoo> (raw)

commit:     c35ed05fbc0b1cdaab332dafcee90b6e79dd51f2
Author:     Tomas Mozes <hydrapolic <AT> gmail <DOT> com>
AuthorDate: Fri Sep  7 11:12:25 2018 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Thu Sep 20 12:00:15 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c35ed05f

dev-php/jsonlint: bump to 1.7.1

Signed-off-by: Tomáš Mózes <hydrapolic <AT> gmail.com>
Package-Manager: Portage-2.3.49, Repoman-2.3.10

 dev-php/jsonlint/Manifest              |  1 +
 dev-php/jsonlint/jsonlint-1.7.1.ebuild | 40 ++++++++++++++++++++++++++++++++++
 2 files changed, 41 insertions(+)

diff --git a/dev-php/jsonlint/Manifest b/dev-php/jsonlint/Manifest
index eddf6fb36af..c848c5894bb 100644
--- a/dev-php/jsonlint/Manifest
+++ b/dev-php/jsonlint/Manifest
@@ -1 +1,2 @@
 DIST jsonlint-1.6.0.tar.gz 11327 BLAKE2B 481744188c6aa8a3135fc76c1026fce75df9ceaf939db9cb88f323afae27bf5041a56d3a63618ef497dc1e8f0606a8b8c24651fab566bb421d12d0ac5853ad15 SHA512 16538781807a4ca73de83e7be69d0fc2b530dd9b25f2b9a2ee3f1156dd5ebccb79e9489b873f307718ca2da658a1ae7cef5144adb32f2d1e5c34bd192d496c79
+DIST jsonlint-1.7.1.tar.gz 11813 BLAKE2B ed1a1404cf77d526a5dce15d0a3f36c5ff8c691e3d2560b6b5e309108d6f0072988b292fd1410b48bfad4ba528abd854204c38bf36f5196c7d8beb468716a5db SHA512 dd8380d02591997a129dc8f25f3b2f7c2f00c1d280bdce6551079b564b54b4828beb929bd9a7c608be6429754eb1c33d2d655a0f87b8f671ccf26ee2ae46095d

diff --git a/dev-php/jsonlint/jsonlint-1.7.1.ebuild b/dev-php/jsonlint/jsonlint-1.7.1.ebuild
new file mode 100644
index 00000000000..ae2c9d17871
--- /dev/null
+++ b/dev-php/jsonlint/jsonlint-1.7.1.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="JSON Lint for PHP"
+HOMEPAGE="https://github.com/Seldaek/jsonlint"
+SRC_URI="${HOMEPAGE}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="test"
+
+RDEPEND="
+	dev-lang/php:*
+	dev-php/fedora-autoloader"
+DEPEND="
+	test? (
+		${RDEPEND}
+		dev-php/phpunit )"
+
+src_prepare() {
+	default
+	if use test; then
+		cp "${FILESDIR}"/autoload.php "${S}"/autoload-test.php || die
+		sed -i -e "s:__DIR__:'${S}/src/Seld/JsonLint':" "${S}"/autoload-test.php || die
+	fi
+}
+
+src_install() {
+	insinto "/usr/share/php/Seld/JsonLint"
+	doins -r src/Seld/JsonLint/. "${FILESDIR}"/autoload.php
+	dodoc README.md
+}
+
+src_test() {
+	phpunit --bootstrap "${S}"/autoload-test.php || die "test suite failed"
+}


             reply	other threads:[~2018-09-20 12:00 UTC|newest]

Thread overview: 17+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-09-20 12:00 Thomas Deutschmann [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-01-09 17:42 [gentoo-commits] repo/gentoo:master commit in: dev-php/jsonlint/ Mart Raudsepp
2021-05-10  6:58 Agostino Sarubbo
2021-05-06  6:55 Agostino Sarubbo
2021-02-05 21:14 Thomas Deutschmann
2021-02-02  1:18 Thomas Deutschmann
2021-01-21 15:39 Brian Evans
2020-11-15 15:34 Thomas Deutschmann
2020-09-13 23:19 Thomas Deutschmann
2020-09-13 23:19 Thomas Deutschmann
2019-11-17 21:01 Thomas Deutschmann
2019-08-16 14:17 Brian Evans
2019-08-16 14:17 Brian Evans
2017-11-14 14:47 Michael Orlitzky
2017-04-25 15:17 Michael Orlitzky
2017-04-25 15:17 Michael Orlitzky
2016-12-18 23:18 Michael Orlitzky

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1537444815.c35ed05fbc0b1cdaab332dafcee90b6e79dd51f2.whissi@gentoo \
    --to=whissi@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox